Yesterday, we told everyone who was still rocking a jailbreak under iOS 4.3.3 (mainly iPad 2 users) to upgrade to the soon-to-be-jailbroken-for-A5-devices iOS 5.0.1 now, before Apple releases iOS 5.1, which closes the vulnerability. If you don�t, you might lose your chance for a jailbreak for good. Here�s the caveat though. If you�re on an iPhone 4S and if you want to carrier unlock it down the line, don�t upgrade. iOS 5.0.1 has a different baseband than iOS 5, and while the Dev Team has an exploit for iOS 5 that they hope will lead to an unlock, they don�t know when or even if they�ll be able to crack open the later update.   Dev Team Member MuscleNerd reached out to iClarified:
MuscleNerd has confirmed to iClarified that an untethered iPhone 4S jailbreak for iOS 5.0 will be released at the same time as the iOS 5.0.1 jailbreak, or a day or two later. As always, for those looking to unlock, it is standard operating procedure to stay at the lowest possible baseband. In fact, its recommended that those already on iOS 5.0.1 should check their build number and downgrade from build 9A406 to 9A405 while Apple is still signing both builds. Due to differences in the basebands, its more likely that an unlock will be found for the earlier build than the later.
No promises, but if you�re rocking iOS 5 on an iPhone 4S, don�t update. An untethered jailbreak exploit should be coming soon for iOS 5, and if you upgrade, you might lose your ability to unlock your phone once and for all.

« »